tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Handling built-in but old msgfmt

On Mon, Sep 10, 2012 at 06:12:49PM +0200, Adam Ciarciński wrote:
> Greetings,
> I have just updated mk/tools/msgfmt-msgctxt.awk to make graphics/gimp compile 
> on systems where gettext-tools is not the latest. But I have a feeling this 
> whole hack (see mk/tools/msgfmt*) with msgfmt should be removed and a proper 
> dependency on devel/gettext-tools>=0.18.1 settled in its place. With the 
> present setup it looks like not all messages get translated.
> Let's discuss the matter. :-)

It doesn't work, NetBSD's libintl doesn't support the newer format.


Home | Main Index | Thread Index | Old Index